// @import "~tempusdominus-bootstrap/src/sass/tempusdominus-bootstrap";

@each $breakpoint in map-keys($grid-breakpoints) {
  @if breakpoint-min($breakpoint) {
    @include media-breakpoint-up($breakpoint) {
      $infix: "-#{$breakpoint}";

      .border#{$infix}-0 { border: 0 !important; };
      .border#{$infix} { border: $border-width solid $border-color !important; };

      .position#{$infix}-relative { position: relative !important; };
      .position#{$infix}-static { position: static !important; };
      .position#{$infix}-absolute { position: absolute !important; };
      .position#{$infix}-fixed { position: fixed !important; };

      @each $color, $value in $theme-colors {
        .border-#{$color} {
          border-color: $value !important;
        }
      }
    }
  }
}

.tiny {
  font-size: 60%;
}

.b-clickable {
  cursor: pointer;
}

kbd {
  // ensure kbd hints look the same everywhere
  font-size: .875rem;
}

@import './animation';
@import './BaseCard';


.b-focus-highlight:focus-within {
  outline: none;
  box-shadow: 0 1rem 3rem rgba(204, 229, 255, 0.75) !important;
}
